
Name:		conky
Version:	1.19.4
Release:	%mkrel 1
Summary:	A lightweight system monitor
License:	GPLv3+
Group:		Monitoring
URL:		https://github.com/brndnmtthws/conky
Source0:    %name-%version.tar.xz
Source1:	conky.conf
Source2:    startconky
Source3:    conky-autostartup-kde.desktop
Source4:    conky-autostartup-others.desktop
Source5:    ld.so.conf
#---------------------------------------------
BuildRequires: lib64curl-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64imlib2-devel
BuildRequires: lib64iw30-devel
BuildRequires: lib64lua5.3-devel
BuildRequires: lib64ncurses-devel
BuildRequires: lib64pulseaudio-devel 
BuildRequires: lib64x11-devel
BuildRequires: lib64xdamage-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xft-devel
BuildRequires: lib64xinerama-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64xrender-devel
BuildRequires: x11-proto-devel
BuildRequires: lib64ircclient-devel
BuildRequires: cmake
BuildRequires: git
BuildRequires: man
BuildRequires: docbook2x 
BuildRequires: docbook-style-xsl
BuildRequires: libpthread-stubs
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64tiff-devel
BuildRequires: perl-XML-SAX
BuildRequires: sd
BuildRequires: lib64ical-devel
BuildRequires: lib64microhttpd-devel
BuildRequires: pandoc
BuildRequires: python3-yaml
BuildRequires: python3-jinja2
BuildRequires: mysql-embedded-devel
BuildRequires: x11-server-xwayland-devel
BuildRequires: wayland-protocols-devel


BuildRoot:      %{_tmppath}/%{title}-%{version}-%{release}-root

Requires: lua5.3
Requires: tolua++


%description
Conky is a free, light-weight system monitor for X, that displays
any information on your desktop.

It is advised you create a .conkyrc file in your home directory
or else conky will pick-up the default config. 

%package convert
Summary: convert.lua script for Conky
Group: Monitoring
Requires: %name

%description convert
This package contains the convert.lua script for converting
your old configs to the new format.

Usage: convert.lua old_conkyrc [new_conkyrc]

%package autostart
Summary: Autostart Conky at Login
Group: Monitoring
Requires: %name

%description autostart
Autostart Conky when you log into the desktop.


%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS -lncurses -ltinfo"

# remove some options from CFLAGS
sed -i 's/\(-Werror\|-Wno-format\|-pedantic\)//g' cmake/ConkyBuildOptions.cmake

# and use our CFLAGS
sed -i '/set(CMAKE_C_FLAGS/,+5d' cmake/ConkyBuildOptions.cmake

%cmake \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DBUILD_APCUPSD=ON \
 -DBUILD_AUDACIOUS=OFF \
 -DBUILD_CMUS=ON \
 -DBUILD_CURL=ON \
 -DBUILD_EVE=ON \
 -DBUILD_EXTRAS=ON \
 -DBUILD_HDDTEMP=ON \
 -DBUILD_HTTP=ON \
 -DBUILD_I18N=ON \
 -DBUILD_IBM=ON \
 -DBUILD_ICAL=ON \
 -DBUILD_ICONV=ON \
 -DBUILD_INTEL_BACKLIGHT=ON \
 -DBUILD_IOSTATS=ON \
 -DBUILD_IPV6=ON \
 -DBUILD_IRC=ON \
 -DBUILD_LUA_CAIRO=ON \
 -DBUILD_LUA_IMLIB2=ON \
 -DBUILD_LUA_RSVG=ON \
 -DBUILD_MATH=ON \
 -DBUILD_MOC=ON \
 -DBUILD_MPD=ON \
 -DBUILD_MYSQL=ON \
 -DBUILD_NCURSES=ON \
 -DBUILD_NVIDIA=OFF \
 -DBUILD_OLD_CONFIG=ON \
 -DBUILD_PORT_MONITORS=ON \
 -DBUILD_WEATHER_XOAP=ON \
 -DBUILD_X11=ON \
 -DBUILD_XDAMAGE=ON \
 -DBUILD_XFT=ON \
 -DBUILD_XINERAMA=ON \
 -DBUILD_XDBE=ON \
 -DBUILD_XSHAPE=ON \
 -DBUILD_XFIXES=ON \
 -DBUILD_MOUSE_EVENTS=ON \
 -DBUILD_XMMS2=OFF \
 -DMAINTAINER_MODE=OFF \
 -DBUILD_DOCS=ON \
 -DBUILD_WLAN=ON \
 -DBUILD_IMLIB2=ON \
 -DBUILD_CURL=ON \
 -DBUILD_RSS=ON \
 -DBUILD_WAYLAND=OFF \
 -DBUILD_WEATHER_METAR=ON \
 -DBUILD_PULSEAUDIO=ON \
 -DBUILD_OWN_WINDOW=ON \
 -DBUILD_ARGB=ON \
 -DBUILD_JOURNAL=OFF \
 -DCMAKE_INSTALL_PREFIX=/usr \
 -DCHECK_CODE_QUALITY=ON

%cmake_build 

%install
rm -rf %buildroot
%makeinstall_std DESTDIR=%buildroot -C build

# install script to convert old-configs
install -m 0755 extras/convert.lua %buildroot/%{_bindir}/convert.lua

# autostart conky
install -m 0755 %SOURCE2 %buildroot/%{_bindir}/startconky
install -Dpm 0644 %SOURCE3 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
install -Dpm 0644 %SOURCE4 %buildroot/%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop

# default config
install -Dpm 0644 %SOURCE1 %buildroot/%{_sysconfdir}/conky/conky.conf

#fix menu name
sd "Name=conky" "Name=Conky" %buildroot/%{_datadir}/applications/conky.desktop

#library helper
install -Dpm 0644 %SOURCE5 %buildroot/%{_sysconfdir}/ld.so.conf.d/conky.conf

# dont need these
rm -f %buildroot/%{_libdir}/conky/*.la

%clean
rm -rf %buildroot

%files
%{_bindir}/conky
%{_bindir}/startconky
%{_libdir}/libtcp-portmon.so

%{_libdir}/conky/libcairo.so
%{_libdir}/conky/libcairo_imlib2_helper.so
%{_libdir}/conky/libimlib2.so
%{_libdir}/conky/librsvg.so

%{_sysconfdir}/ld.so.conf.d/conky.conf

%{_datadir}/applications/conky.desktop
%{_datadir}/doc/conky-*
%{_datadir}/icons/hicolor/scalable/apps/conky-logomark-violet.svg
%{_datadir}/man/man1/conky.1.bz2
%{_sysconfdir}/conky/conky.conf

%files convert
%{_bindir}/convert.lua

%files autostart
%{_sysconfdir}/xdg/autostart/conky-autostartup-kde.desktop
%{_sysconfdir}/xdg/autostart/conky-autostartup-others.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Tue Aug 29 2023 tex - 1.19.4-1pclos2023
- new version

* Wed Apr 28 2021 tex - 1.12.2-1pclos2021
- new version
